@echo off
rem Convert project encoding from CP1250 to UTF-8

set wp=%~dp0

if [%1] == [] (
  set p=%CD%
) else (
  set p=%~f1
)

set ob=%wp%oberon.txt

if exist %ob% (
  del %ob%
)

setlocal EnableDelayedExpansion

echo/Files.AddSearchPath %wp%sys ~>>%ob%
echo/Files.SetWorkPath %p% ~>>%ob%

for /R %p% %%? in (*.pas) do (
    rem Get relative path
    set "file=%%?"
    set result=!file:%p%\=!
    echo/OberonConsoleUtils.ChangeFileEncoding -o=CP1250 -n="UTF-8" --bom !result! ~>>%ob%
)

echo/System.PowerDown ~>>%ob%

%wp%oberon.exe run %ob%

if exist %ob% (
  del %ob%
)
